s = input()

n = len(s)
min_right = 'z'
min_right_pos = n
best_left_pos = n
best_right_pos = n

for i in range(n - 1, -1, -1):
    if s[i] < min_right:
        min_right, min_right_pos = s[i], i
    if s[i] > min_right:
        best_left_pos, best_right_pos = i, min_right_pos

print(
    s[0:best_left_pos],
    s[best_right_pos:best_right_pos+1],
    s[best_left_pos+1:best_right_pos],
    s[best_left_pos:best_left_pos+1],
    s[best_right_pos+1:],
    sep="",
)
